POST api/User?company={company}&username={username}&password={password}&version={version}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
company

string

Required

username

string

Required

password

string

Required

version

decimal number

Required

Body Parameters

None.

Response Information

Resource Description

User
NameDescriptionTypeAdditional information
userid

string

None.

pc

string

None.

accountid

string

None.

password

string

None.

name

string

None.

position

string

None.

idcode

string

None.

idpw

string

None.

birthday

date

None.

createdate

date

None.

phone

string

None.

supervisor_email

string

None.

personal_email

string

None.

company_email

string

None.

company_skype

string

None.

company_skype_password

string

None.

salary

string

None.

contract_start_date

date

None.

contract_end_date

date

None.

memo

string

None.

avatar

string

None.

schedule_id

string

None.

H1

decimal number

None.

M1

decimal number

None.

S1

decimal number

None.

H2

decimal number

None.

M2

decimal number

None.

S2

decimal number

None.

timsheet_id

integer

None.

chk_ban

integer

None.

banH1

integer

None.

banM1

integer

None.

banS1

integer

None.

last_ban

date

None.

ban_count

integer

None.

chk_admin_reject

string

None.

chk_admin_approve

string

None.

Response Formats

application/json, text/json

Sample:
{
  "userid": "sample string 1",
  "pc": "sample string 2",
  "accountid": "sample string 3",
  "password": "sample string 4",
  "name": "sample string 5",
  "position": "sample string 6",
  "idcode": "sample string 7",
  "idpw": "sample string 8",
  "birthday": "2026-04-07T04:55:09.2700341+07:00",
  "createdate": "2026-04-07T04:55:09.2700341+07:00",
  "phone": "sample string 9",
  "supervisor_email": "sample string 10",
  "personal_email": "sample string 11",
  "company_email": "sample string 12",
  "company_skype": "sample string 13",
  "company_skype_password": "sample string 14",
  "salary": "sample string 15",
  "contract_start_date": "2026-04-07T04:55:09.2705416+07:00",
  "contract_end_date": "2026-04-07T04:55:09.2705416+07:00",
  "memo": "sample string 16",
  "avatar": "sample string 17",
  "schedule_id": "sample string 18",
  "H1": 1.0,
  "M1": 1.0,
  "S1": 1.0,
  "H2": 1.0,
  "M2": 1.0,
  "S2": 1.0,
  "timsheet_id": 1,
  "chk_ban": 1,
  "banH1": 1,
  "banM1": 1,
  "banS1": 1,
  "last_ban": "2026-04-07T04:55:09.2710503+07:00",
  "ban_count": 1,
  "chk_admin_reject": "sample string 19",
  "chk_admin_approve": "sample string 20"
}